lmi-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[lmi-commits] [lmi] master ef42eba 1/5: Run nychthemeral test in new chr


From: Greg Chicares
Subject: [lmi-commits] [lmi] master ef42eba 1/5: Run nychthemeral test in new chroot
Date: Sat, 13 Jun 2020 17:37:02 -0400 (EDT)

branch: master
commit ef42eba8be300aa3e4ca971fd31129ea02fee5e7
Author: Gregory W. Chicares <gchicares@sbcglobal.net>
Commit: Gregory W. Chicares <gchicares@sbcglobal.net>

    Run nychthemeral test in new chroot
---
 lmi_setup_00.sh  |  1 +
 lmi_setup_01.sh  |  1 +
 lmi_setup_01c.sh |  1 +
 lmi_setup_01r.sh |  1 +
 lmi_setup_44.sh  | 36 ++++++++++++++++++++++++++++++++++++
 5 files changed, 40 insertions(+)

diff --git a/lmi_setup_00.sh b/lmi_setup_00.sh
index 6fda942..6cd74b8 100755
--- a/lmi_setup_00.sh
+++ b/lmi_setup_00.sh
@@ -94,6 +94,7 @@ wget -N -nv "${GIT_URL_BASE}"/lmi_setup_30.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_40.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_42.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_43.sh
+wget -N -nv "${GIT_URL_BASE}"/lmi_setup_44.sh
 wget -N -nv "${GIT_URL_BASE}"/lmi_setup_inc.sh
 chmod 0777 lmi_setup_*.sh
 
diff --git a/lmi_setup_01.sh b/lmi_setup_01.sh
index 44b8f47..d499739 100755
--- a/lmi_setup_01.sh
+++ b/lmi_setup_01.sh
@@ -61,6 +61,7 @@ schroot --chroot=${CHRTNAME} --user="${user}"        
--directory=/tmp ./lmi_setu
 } done
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_43.sh
+schroot --chroot=${CHRTNAME} --user=nemo             --directory=/tmp 
./lmi_setup_44.sh
 
 stamp=$(date -u +'%Y%m%dT%H%M%SZ')
 echo "$stamp $0 [debian host]"  | tee /dev/tty
diff --git a/lmi_setup_01c.sh b/lmi_setup_01c.sh
index 55606bf..84f70e8 100755
--- a/lmi_setup_01c.sh
+++ b/lmi_setup_01c.sh
@@ -70,6 +70,7 @@ schroot --chroot=${CHRTNAME} --user="${user}"        
--directory=/tmp ./lmi_setu
 } done
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_43.sh
+schroot --chroot=${CHRTNAME} --user=nemo             --directory=/tmp 
./lmi_setup_44.sh
 
 stamp=$(date -u +'%Y%m%dT%H%M%SZ')
 echo "$stamp $0 [centos host]"  | tee /dev/tty
diff --git a/lmi_setup_01r.sh b/lmi_setup_01r.sh
index 9367aaf..44cd5b7 100755
--- a/lmi_setup_01r.sh
+++ b/lmi_setup_01r.sh
@@ -64,6 +64,7 @@ schroot --chroot=${CHRTNAME} --user="${user}"        
--directory=/tmp ./lmi_setu
 } done
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_42.sh
 schroot --chroot=${CHRTNAME} --user="${NORMAL_USER}" --directory=/tmp 
./lmi_setup_43.sh
+schroot --chroot=${CHRTNAME} --user=nemo             --directory=/tmp 
./lmi_setup_44.sh
 
 stamp=$(date -u +'%Y%m%dT%H%M%SZ')
 echo "$stamp $0 [redhat host]"  | tee /dev/tty
diff --git a/lmi_setup_44.sh b/lmi_setup_44.sh
new file mode 100755
index 0000000..465bf90
--- /dev/null
+++ b/lmi_setup_44.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Create a chroot for cross-building "Let me illustrate...".
+#
+# Copyright (C) 2016, 2017, 2018, 2019, 2020 Gregory W. Chicares.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA
+#
+# http://savannah.nongnu.org/projects/lmi
+# email: <gchicares@sbcglobal.net>
+# snail: Chicares, 186 Belle Woods Drive, Glastonbury CT 06033, USA
+
+. ./lmi_setup_inc.sh
+. /tmp/schroot_env
+
+set -evx
+
+assert_not_su
+assert_chrooted
+
+# Temporarily allow this to fail.
+/opt/lmi/src/lmi/nychthemeral_test.sh || true
+
+stamp=$(date -u +'%Y%m%dT%H%M%SZ')
+echo "$stamp $0: Ran nychthemeral test for '$(whoami)'."  | tee /dev/tty



reply via email to

[Prev in Thread] Current Thread [Next in Thread]